<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/icon_add_bg"
    tools:context=".ui.plan.add.AddActivity"
    tools:ignore="PxUsage">

    <RelativeLayout
        android:id="@+id/rel1"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="10dp">

        <ImageView
            android:id="@+id/image"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="20dp" />

        <TextView
            android:id="@+id/deptName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="10dp"
            android:layout_toRightOf="@+id/image"
            android:text="实验室名称-房间号"
            android:textColor="@color/white"
            android:textSize="22sp" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_centerVertical="true"
            android:layout_marginTop="2dp">

            <TextView
                android:id="@+id/tvTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_centerVertical="true"
                android:text="化学品智能管理"
                android:textColor="@color/white"
                android:textSize="24sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/nowTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="6dp"
                android:layout_toRightOf="@+id/tvTitle"
                android:textColor="@color/white" />

        </LinearLayout>


        <RelativeLayout
            android:id="@+id/loggedIn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:gravity="center_vertical"
            android:paddingRight="18dp">

            <ImageView
                android:id="@+id/imageName"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_centerVertical="true"
                android:layout_marginRight="6dp" />

            <TextView
                android:id="@+id/tvName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toRightOf="@+id/imageName"
                android:text="李XX"
                android:textColor="@color/white" />

            <ImageView
                android:id="@+id/imgOut"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toRightOf="@+id/tvName"
                android:background="@mipmap/cshrk_dl_tc" />

            <TextView
                android:id="@+id/tvOutLogin"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginRight="10dp"
                android:layout_toRightOf="@+id/imgOut"
                android:text="退出"
                android:textColor="@color/white"
                android:textSize="16sp" />
        </RelativeLayout>
    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/rel1"
        android:layout_marginLeft="31dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="31dp"
        android:layout_marginBottom="69dp"
        android:background="@drawable/bg_add_chemicals_one">

        <TextView
            android:id="@+id/title_TV"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginVertical="30px"
            android:layout_marginStart="50px"
            android:text="录入化学品"
            android:textColor="#333"
            android:textSize="18sp"
            android:textStyle="bold" />

        <LinearLayout
            android:id="@+id/control_RL"
            android:layout_width="match_parent"
            android:layout_height="180px"
            android:layout_alignParentBottom="true"
            android:gravity="center">

            <Button
                android:id="@+id/reset_BT"
                android:layout_width="150px"
                android:layout_height="50px"
                android:layout_marginHorizontal="15px"
                android:background="@drawable/bg_closes"
                android:text="重置"
                android:textSize="24px" />

            <Button
                android:id="@+id/weigh_save_BT"
                android:layout_width="150px"
                android:layout_height="50px"
                android:layout_marginHorizontal="15px"
                android:background="@drawable/selector_input_select_bt"
                android:text="称重存储"
                android:textColor="@color/white"
                android:textSize="24px" />

            <Button
                android:id="@+id/save_BT"
                android:layout_width="150px"
                android:layout_height="50px"
                android:layout_marginHorizontal="15px"
                android:background="@drawable/selector_input_select_bt"
                android:text="存储"
                android:textColor="@color/white"
                android:textSize="24px"
                android:visibility="gone" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/control_RL"
            android:layout_below="@id/title_TV"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="120px"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="品名"
                        android:textColor="#333" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/chemical_search_ET"
                        android:layout_width="250px"
                        android:layout_height="50px"
                        android:layout_marginStart="20px"
                        android:background="@drawable/shape_input_box"
                        android:gravity="center_vertical"
                        android:hint="输入化学品名称搜索"
                        android:imeOptions="actionSearch"
                        android:maxLines="1"
                        android:paddingHorizontal="10px"
                        android:textAppearance="@style/input_hint_text_size" />

                    <Button
                        android:id="@+id/chemical_search_BT"
                        android:layout_width="80px"
                        android:layout_height="50px"
                        android:layout_marginStart="10px"
                        android:background="@drawable/selector_input_bt"
                        android:text="搜索"
                        android:textColor="@color/white" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="120px"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="类别"
                        android:textColor="#333" />


                    <TextView
                        android:id="@+id/chemical_category_TV"
                        android:layout_width="250px"
                        android:layout_height="50px"
                        android:layout_marginStart="20px"
                        android:background="@drawable/shape_input_box"
                        android:gravity="center_vertical"
                        android:hint="选择化学品类别"
                        android:paddingHorizontal="10px"
                        android:textAppearance="@style/input_hint_text_size"
                        app:drawableEndCompat="@drawable/vector_input_down_arrow" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="120px"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="净含量"
                        android:textColor="#333" />


                    <RelativeLayout
                        android:layout_width="270px"
                        android:layout_height="match_parent">

                        <TextView
                            android:id="@+id/net_wt_TV"
                            android:layout_width="50px"
                            android:layout_height="wrap_content"
                            android:layout_alignParentEnd="true"
                            android:layout_centerVertical="true"
                            android:background="@drawable/shape_input_unit_ml"
                            android:gravity="center"
                            android:text="ml"
                            android:textColor="#999" />

                        <androidx.appcompat.widget.AppCompatEditText
                            android:id="@+id/net_wt_ET"
                            android:layout_width="250px"
                            android:layout_height="50px"
                            android:layout_centerVertical="true"
                            android:layout_marginStart="20px"
                            android:background="@drawable/shape_input_box"
                            android:digits="1234567890."
                            android:gravity="center_vertical"
                            android:hint="输入净含量"
                            android:imeOptions="actionDone"
                            android:inputType="numberDecimal"
                            android:paddingHorizontal="10px"
                            android:textAppearance="@style/input_hint_text_size" />
                    </RelativeLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="120px"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="类型"
                        android:textColor="#333" />

                    <RadioGroup
                        android:id="@+id/belong_type_RG"
                        android:layout_width="wrap_content"
                        android:layout_height="65px"
                        android:layout_marginStart="10px"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <RadioButton
                            android:id="@+id/belong_RB"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@drawable/selector_input_select_unit_ml_rb"
                            android:button="@null"
                            android:checked="true"
                            android:gravity="center"
                            android:paddingHorizontal="20px"
                            android:text="归属人"
                            android:textColor="@drawable/selector_input_select_text_color"
                            android:textSize="12sp" />

                        <RadioButton
                            android:id="@+id/topic_RB"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@drawable/selector_input_select_unit_g_rb"
                            android:button="@null"
                            android:gravity="center"
                            android:paddingHorizontal="20px"
                            android:text="课题组"
                            android:textColor="@drawable/selector_input_select_text_color"
                            android:textSize="12sp" />
                    </RadioGroup>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/belong_LL"
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="120px"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="归属人"
                        android:textColor="#333" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/belong_ET"
                        android:layout_width="250px"
                        android:layout_height="50px"
                        android:layout_marginStart="20px"
                        android:background="@drawable/shape_input_box"
                        android:gravity="center_vertical"
                        android:hint="输入姓名或工号搜索"
                        android:imeOptions="actionSearch"
                        android:paddingHorizontal="10px"
                        android:textAppearance="@style/input_hint_text_size" />

                    <Button
                        android:id="@+id/belong_BT"
                        android:layout_width="80px"
                        android:layout_height="50px"
                        android:layout_marginStart="10px"
                        android:background="@drawable/selector_input_bt"
                        android:text="搜索"
                        android:textColor="@color/white" />
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/topic_LL"
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:visibility="gone">

                    <TextView
                        android:layout_width="120px"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="课题组"
                        android:textColor="#333" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/topic_ET"
                        android:layout_width="250px"
                        android:layout_height="50px"
                        android:layout_marginStart="20px"
                        android:background="@drawable/shape_input_box"
                        android:gravity="center_vertical"
                        android:hint="非必填"
                        android:imeOptions="actionSearch"
                        android:paddingHorizontal="10px"
                        android:textAppearance="@style/input_hint_text_size" />

                    <Button
                        android:id="@+id/topic_BT"
                        android:layout_width="80px"
                        android:layout_height="50px"
                        android:layout_marginStart="10px"
                        android:background="@drawable/selector_input_bt"
                        android:text="搜索"
                        android:textColor="@color/white" />
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="120px"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="CAS"
                        android:textColor="#333" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/cas_ET"
                        android:layout_width="250px"
                        android:layout_height="50px"
                        android:layout_marginStart="20px"
                        android:background="@drawable/shape_input_box"
                        android:digits="1234567890-"
                        android:gravity="center_vertical"
                        android:hint="输入CAS码搜索"
                        android:imeOptions="actionSearch"
                        android:inputType="number"
                        android:maxLength="12"
                        android:paddingHorizontal="10px"
                        android:textAppearance="@style/input_hint_text_size" />

                    <Button
                        android:id="@+id/cas_BT"
                        android:layout_width="80px"
                        android:layout_height="50px"
                        android:layout_marginStart="10px"
                        android:background="@drawable/selector_input_bt"
                        android:text="搜索"
                        android:textColor="@color/white" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="120px"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="规格"
                        android:textColor="#333" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/chemical_spec_ET"
                        android:layout_width="250px"
                        android:layout_height="50px"
                        android:layout_marginStart="20px"
                        android:background="@drawable/shape_input_box"
                        android:gravity="center_vertical"
                        android:hint="输入规格容量"
                        android:imeOptions="actionDone"
                        android:inputType="numberDecimal"
                        android:paddingHorizontal="10px"
                        android:textAppearance="@style/input_hint_text_size" />

                    <RadioGroup
                        android:id="@+id/chemical_spec_RG"
                        android:layout_width="120px"
                        android:layout_height="65px"
                        android:layout_marginStart="10px"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <RadioButton
                            android:id="@+id/chemical_spec_ml_RB"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@drawable/selector_input_select_unit_ml_rb"
                            android:button="@null"
                            android:checked="true"
                            android:gravity="center"
                            android:text="ml"
                            android:textColor="@drawable/selector_input_select_text_color" />

                        <RadioButton
                            android:id="@+id/chemical_spec_g_RB"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@drawable/selector_input_select_unit_g_rb"
                            android:button="@null"
                            android:gravity="center"
                            android:text="g"
                            android:textColor="@drawable/selector_input_select_text_color" />
                    </RadioGroup>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="120px"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="数量"
                        android:textColor="#333" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/size_ET"
                        android:layout_width="250px"
                        android:layout_height="50px"
                        android:layout_marginStart="20px"
                        android:background="@drawable/shape_input_box"
                        android:digits="1234567890"
                        android:gravity="center_vertical"
                        android:hint="输入化学品数量"
                        android:imeOptions="actionDone"
                        android:inputType="number"
                        android:paddingHorizontal="10px"
                        android:textAppearance="@style/input_hint_text_size" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="120px"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="厂家"
                        android:textColor="#333" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/factory_ET"
                        android:layout_width="250px"
                        android:layout_height="50px"
                        android:layout_marginStart="20px"
                        android:background="@drawable/shape_input_box"
                        android:gravity="center_vertical"
                        android:hint="非必填"
                        android:imeOptions="actionDone"
                        android:paddingHorizontal="10px"
                        android:textAppearance="@style/input_hint_text_size" />

                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="120px"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="级别"
                        android:textColor="#333" />


                    <RadioGroup
                        android:id="@+id/cm_RG"
                        android:layout_width="wrap_content"
                        android:layout_height="65px"
                        android:layout_marginStart="10px"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <RadioButton
                            android:id="@+id/uncontrolled_RB"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@drawable/selector_input_select_unit_ml_rb"
                            android:button="@null"
                            android:gravity="center"
                            android:paddingHorizontal="20px"
                            android:text="非管控"
                            android:textColor="@drawable/selector_input_select_text_color"
                            android:textSize="12sp" />

                        <RadioButton
                            android:id="@+id/controlled_RB"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:background="@drawable/selector_input_select_unit_g_rb"
                            android:button="@null"
                            android:checked="true"
                            android:gravity="center"
                            android:paddingHorizontal="20px"
                            android:text="管控"
                            android:textColor="@drawable/selector_input_select_text_color"
                            android:textSize="12sp" />
                    </RadioGroup>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="120px"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="密度"
                        android:textColor="#333" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/chemical_density_ET"
                        android:layout_width="250px"
                        android:layout_height="50px"
                        android:layout_marginStart="20px"
                        android:background="@drawable/shape_input_box"
                        android:digits="1234567890."
                        android:gravity="center_vertical"
                        android:hint="输入化学品密度"
                        android:imeOptions="actionDone"
                        android:inputType="numberDecimal"
                        android:paddingHorizontal="10px"
                        android:textAppearance="@style/input_hint_text_size" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="120px"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="纯度"
                        android:textColor="#333" />

                    <androidx.appcompat.widget.AppCompatEditText
                        android:id="@+id/purity_ET"
                        android:layout_width="250px"
                        android:layout_height="50px"
                        android:layout_marginStart="20px"
                        android:background="@drawable/shape_input_box"
                        android:gravity="center_vertical"
                        android:hint="非必填"
                        android:imeOptions="actionDone"
                        android:paddingHorizontal="10px"
                        android:textAppearance="@style/input_hint_text_size" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        android:layout_width="120px"
                        android:layout_height="wrap_content"
                        android:gravity="end"
                        android:text="存储位置"
                        android:textColor="#333" />

                    <TextView
                        android:id="@+id/cabinet_Layer_select_TV"
                        android:layout_width="260px"
                        android:layout_height="50px"
                        android:layout_marginStart="10px"
                        android:ellipsize="marquee"
                        android:focusable="true"
                        android:focusableInTouchMode="true"
                        android:gravity="center"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:singleLine="true"
                        android:text="请选择化学品柜层" />

                    <Button
                        android:id="@+id/change_cabinet_BT"
                        android:layout_width="80px"
                        android:layout_height="50px"
                        android:layout_marginStart="10px"
                        android:background="@drawable/selector_input_select_bt"
                        android:text="⇋"
                        android:textColor="@color/white" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="65px"
                    android:layout_marginStart="50px"
                    android:layout_weight="1" />
            </LinearLayout>


        </LinearLayout>


    </RelativeLayout>

    <TextView
        android:id="@+id/tvReturn"
        android:layout_width="85dp"
        android:layout_height="30dp"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="20dp"
        android:background="@drawable/bg_retrun"
        android:gravity="center"
        android:text="返回"
        android:textColor="@color/white"
        android:textSize="10sp" />
</RelativeLayout>